PHP ��U
前一頁 |  | 下一頁

# pg_fetch_result

(PHP 4 >= 4.2.0, PHP 5)

pg_fetch_result -- Returns values from a result resource

## Description

string pg_fetch_result ( resource result, int row, mixed field )
string pg_fetch_result ( resource result, mixed field )

pg_fetch_result() returns the value of a particular row and field (column) in a PostgreSQL result resource.

## Parameters

result

  PostgreSQL query result resource, returned by pg_query(), pg_query_params() or pg_execute() (among others).

row

  Row number in result to fetch. Rows are numbered from 0 upwards. If omitted, next row is fetched.

field

  A string representing the name of the field (column) to fetch, otherwise and int representing the field number to fetch. Fields are numbered from 0 upwards.

## Return Values

Boolean is returned as "t" or "f". All other types, including arrays are returned as strings formatted in the same default PostgreSQL manner that you would see in the psql program. Database NULL values are returned as `NULL`.

`FALSE` is returned if row exceeds the number of rows in the set, or on any other error.

## �d��

範例 1. pg_fetch_result() example

`<?php $db = pg_connect("dbname=users user=me") || die(); $res = pg_query($db, "SELECT 1 UNION ALL SELECT 2"); $val = pg_fetch_result($res, 1, 0); echo "First field in the second row is: ", $val, "\n"; ?>`

The above example will output:

    First field in the second row is: 2

## �Ѧ�

pg_query()
pg_fetch_array()

前一頁 | 內容 | 下一頁
pg_fetch_object | 上一層 | pg_fetch_row